#VU60405 Improper Authorization in Handler for Custom URL Scheme


Published: 2022-02-08

Vulnerability identifier: #VU60405

Vulnerability risk: Medium

CVSSv3.1: 4.7 [CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N/E:U/RL:O/RC:C]

CVE-ID: CVE-2022-22758

CWE-ID: CWE-939

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Firefox for Android
Mobile applications / Apps for mobile phones

Vendor: Mozilla

Description

The vulnerability allows a remote attacker to force the victim to make unwanted phone calls.

The vulnerability exists in the way tel: link are handled. When clicking on a tel: link, USSD codes, specified after a certain character is included in the phone number. On certain phones, or on certain carriers, if the number was dialed this could perform actions on a user's account, similar to a cross-site request forgery attack.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Firefox for Android: 90.1.0 - 96.3.0


CPE

External links
http://www.mozilla.org/en-US/security/advisories/mfsa2022-04/


Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.


Latest bulletins with this vulnerability